Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMPZ.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMPZ.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMPZ.m	(revision 636)
@@ -1,5 +1,5 @@
-DICOMPZ ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;9APR2007
- ;;22.0;VA FileMan;**6,76,114,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DICOMPZ ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;05:07 PM  16 Jan 2003
+ ;;22.0;VA FileMan;**6,76,114**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
 PRIOR ;from DICOMP -- PRIOR.. Functions get archived values
@@ -41,5 +41,4 @@
  S DICOMPXE="D,0))#2 "_DICOMPXE_" "_DICMX_" Q:'$D(D)  S D=D"_Y
  S DICOR=$$REF(T)_","_D_",",D="F D=0:0 S (D,D"_Y_")=$O("_DICOR
- I W=")",$D(DPS(DPS,"INTERNAL")) S D="S D=$G(DIWF) N DIWF S DIWF=D_""XL"" "_D ;**DI*22*152
  S %=+$P(DICOT,U,2)
  I $P($G(^DD(%,.01,0)),U,2)["W"!'$D(^DD(%,0,"IX","B",%,.01))
@@ -55,5 +54,5 @@
  ;
 CONTAINS N DICON
- S DICON=W="'",%=$E(I,M+DICON) I %=""!(W=")") S Y=0 Q
+ S DICON=W="'",%=$E(I,M+DICON) I %="" S Y=0 Q
  I DICOPS[% S DICOPS=% D R($E(I,M+DICON+1,999)) Q:'$D(Y)  D  Q
  .S DICOXR=$$DGI^DICOMP
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DID1.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DID1.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DID1.m	(revision 636)
@@ -1,5 +1,5 @@
-DID1 ;SFISC/XAK,JLT-STD DD LIST ;9APR2007
- ;;22.0;VA FileMan;**7,76,105,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DID1 ;SFISC/XAK,JLT-STD DD LIST ;1:53 PM  6 Mar 2002
+ ;;22.0;VA FileMan;**7,76,105**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  S DJ(Z)=D0,DDL1=14,DDL2=32 G B
  ;
@@ -9,8 +9,5 @@
  D HD:$Y+6>IOSL Q:M=U  W !!,F(Z),",",DJ(Z)
  W ?(Z+Z+12),$P(N,U,1),?DDL2+4," "_$P(N,U,4)
- S X=$P(N,U,2)
-WP I X,$D(^DD(+X,.01,0)) S W=$P(^(0),U,2) I W["W" D
- .S X="WORD-PROCESSING #"_+X D  S X="(NOWRAP)" D:W["L"  S X="(IGNORE ""|"")" D:W["X"!(W["x")  S X="(UNEDITABLE)" D:W["I"  S X=""
- ..W:$L(X)+$X+5>IOM !?18 W "   ",X
+ S X=$P(N,U,2) I X,$D(^DD(+X,.01,0)) S W=$P(^(0),U,2) I W["W" W "   WORD-PROCESSING #",+X W:W["L" " (NOWRAP)" S X=""
  F W="BOOLEAN","COMPUTED","FREE TEXT","SET","DATE","NUMBER","POINTER","K","VARIABLE POINTER","p" I X[$E(W) D VP^DIDX:$E(W)="V" S:W="K" W="MUMPS" S:W="p" W="POINTER" W ?40," "_W G ND:M=U
  I +X S W=" Multiple" S W=W_" #"_+X D W G ND:M=U
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIL11.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIL11.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIL11.m	(revision 636)
@@ -1,11 +1,9 @@
-DIL11 ;SFISC/GFT-TURN PRINT FLDS INTO CODE ;5APR2007
- ;;22.0;VA FileMan;**152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DIL11 ;SFISC/GFT-TURN PRINT FLDS INTO CODE ;11/20/92  09:28
+ ;;22.0;VA FileMan;;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
 DOWN ;
- I W>0,'$D(^DD(DP,+W,0)) Q  ;IN CASE FIELD IS GONE FOR SOME REASON!
- S DN=-6,DY(DM)=DY,DP(DM)=DP,DI(DM)=DI G F:W'>0 S X=^DD(DP,+W,0),DU=$P($P(X,U,4),";") S:+DU'=DU DU=""""_DU_""""
- S W=$P(W,","),DY="D"_(DIL-DIL0+1),DI=DI_","_DU_","_DY,%=":0 Q:$O("_DI_"))'>0 ",DP=+$P(X,U,2),M(DP)=1,D=$P("""""",U,+DU'=DU),D=" S I("_(DIL+1)_")="_D_DU_D_",J("_(DIL+1)_")="_DP,Y=" S "_DY_"=$O(^("_DY_"))"
-W I $P(^DD(DP,.01,0),U,2)["W" D:$P(^(0),U,2)["x"!($P(^(0),U,2)["X")  G P ;**DI*22*152**
- .S D=D_",D"_(DIL+1)_"=$G(DIWF) N DIWF S DIWF=D"_(DIL+1)_"_""X"""
+ S DN=-6,DY(DM)=DY,DP(DM)=DP,DI(DM)=DI G F:W'>0 S X=^DD(DP,+W,0),DU=$P($P(X,U,4),";",1) S:+DU'=DU DU=""""_DU_""""
+ S W=$P(W,C,1),DY="D"_(DIL-DIL0+1),DI=DI_C_DU_C_DY,%=":0 Q:$O("_DI_"))'>0 ",DP=+$P(X,U,2),M(DP)=1,D=$P("""""",U,+DU'=DU),D=" S I("_(DIL+1)_")="_D_DU_D_",J("_(DIL+1)_")="_DP,Y=" S "_DY_"=$O(^("_DY_"))"
+ G P:$P(^DD(DP,.01,0),U,2)["W"
  I DHT+1 F X=1:1 G P:X>DPP,DPP:+DPP(X)=DP!$D(DPP(X,DP))
 DPP S %=%_" X:$D(DSC("_DP_")) DSC("_DP_")",Y=Y_" Q:"_DY_"'>0" I $T,"@"[$P(DPP(X),U,4),$P(DPP(X),U,2)=0 S DPP(X,U)="" G R:$D(DPP(X,"F"))
@@ -22,7 +20,7 @@
 QT S Y=$F(X,"""",Y) I Y S X=$E(X,1,Y-1)_$E(X,Y-1,999),Y=Y+1 G QT
  S Y=" S I("_DIL_")="""_X_""",J("_DIL_")="_DP
- S X=" "_$P($P(W,U,4,99),";")
+ S X=" "_$P($P(W,U,4,99),";",1)
  S DY="D"_(DIL-DIL0),DI=DI_DY,DIL=DIL-1 I $P(W,U,3)="" S W=+W,Y=Y_X_" S D0=D(0) I D0>0" G D^DIL
- S %="I("_(DIL0-100)_",0)=D0" I X'[% S X=","_%_X
+ S %="I("_(DIL0-100)_",0)=D0" I X'[% S X=C_%_X
  I DHT=-1 D DREL^DIPZ1 G END
  F %=900:1 I '$D(^UTILITY($J,99,%)) S ^(%)="I 1 X:$D(DSC("_DP_")) DSC("_DP_") I  D T:$X>"_DG_" Q:'DN "_Y,Y=" S (DIXX,DIXX("_(DM+1)_"))="_%_X,W=+W D D^DIL K R(DX) Q
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F0.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F0.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F0.m	(revision 636)
@@ -1,5 +1,5 @@
-DINIT0F0 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;4APR2007
- ;;22.0;VA FileMan;**152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DINIT0F0 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;10:49 AM  30 Mar 1999
+ ;;22.0;VA FileMan;;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  D PRE^DINIT29P
  F I=1:2 S X=$T(ENTRY+I) G:X="" ^DINIT0F1 S Y=$E($T(ENTRY+I+1),5,999),X=$E(X,4,999),@X=Y
@@ -139,5 +139,5 @@
  ;;=.00104^1^1,1^e
  ;;^DIST(.403,.001,40,7,0)
- ;;=2.5^^4,2^^^1^8,78
+ ;;=2.5^^4,6^^^1^6,75
  ;;^DIST(.403,.001,40,7,1)
  ;;=Page 2.5
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F5.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F5.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F5.m	(revision 636)
@@ -1,5 +1,5 @@
-DINIT0F5 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;9APR2007
- ;;22.0;VA FileMan;**76,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DINIT0F5 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;05:51 PM  23 Mar 2001
+ ;;22.0;VA FileMan;**76**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  F I=1:2 S X=$T(ENTRY+I) G:X="" ^DINIT0F6 S Y=$E($T(ENTRY+I+1),5,999),X=$E(X,4,999),@X=Y
  Q
@@ -144,9 +144,9 @@
  ;;=DICATT5^1
  ;;^DIST(.404,.00105,40,0)
- ;;=^.4044I^2^2
+ ;;=^.4044I^1^1
  ;;^DIST(.404,.00105,40,1,0)
  ;;=75^SHALL THIS TEXT NORMALLY APPEAR IN WORD-WRAP MODE^2^^WORD-WRAP
  ;;^DIST(.404,.00105,40,1,2)
- ;;=2,53^3^2,2
+ ;;=2,56^3^2,5
  ;;^DIST(.404,.00105,40,1,3)
  ;;=!M
@@ -154,5 +154,5 @@
  ;;=S Y=$E("YN",DICATT2["L"+1)
  ;;^DIST(.404,.00105,40,1,12)
- ;;=S DICATTMN="",DICATT2N="W"_$TR($G(DICATT2N),"WL")_$E("L",'X)
+ ;;=S DICATTMN="" S:'X DICATT2N="WL" I DUZ(0)="@",DICATT4="" S DDSSTACK=4
  ;;^DIST(.404,.00105,40,1,20)
  ;;=Y
@@ -167,26 +167,4 @@
  ;;^DIST(.404,.00105,40,1,21,4,0)
  ;;=it was entered.
- ;;^DIST(.404,.00105,40,2,0)
- ;;=76^SHALL "|" CHARACTERS IN THIS TEXT BE TREATED LIKE ANY OTHER CHARACTERS^2^^"|"
- ;;^DIST(.404,.00105,40,2,2)
- ;;=3,74^3^3,2
- ;;^DIST(.404,.00105,40,2,3)
- ;;=!M
- ;;^DIST(.404,.00105,40,2,3.1)
- ;;=S Y=$S(DICATT2["X"!(DICATT2["x")!(DICATT2=""):"Y",1:"N")
- ;;^DIST(.404,.00105,40,2,12)
- ;;=S DICATTMN="",DICATT2N="W"_$TR($G(DICATT2N),"WxX")_$E("x",X>0) I DUZ(0)="@",DICATT4="" S DDSSTACK=4
- ;;^DIST(.404,.00105,40,2,20)
- ;;=Y
- ;;^DIST(.404,.00105,40,2,21,0)
- ;;=^^4^4^2981120
- ;;^DIST(.404,.00105,40,2,21,1,0)
- ;;=Answer 'YES' if the internally-stored text may have "|" characters in it 
- ;;^DIST(.404,.00105,40,2,21,2,0)
- ;;=(such as HL7 messages) that need to display exactly as they are stored.
- ;;^DIST(.404,.00105,40,2,21,3,0)
- ;;=Answer 'NO' if the internal text should normally be printed out with
- ;;^DIST(.404,.00105,40,2,21,4,0)
- ;;=anything that is delimited by "|" characters interpreted as variable. 
  ;;^DIST(.404,.00106,0)
  ;;=DICATT6^1
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWP.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWP.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWP.m	(revision 636)
@@ -1,25 +1,5 @@
-DIWP ;SFISC/GFT-ASSEMBLE WP LINE ;10JUN2005
- ;;22.0;VA FileMan;**46,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
- ;The DIWF variable contains a string of one-letter codes to control W-P output.
- ;"|" in DIWF means that "|"-windows are not to be evaluated, but are to be printed as
- ;     they stand.
- ;"X" means eXactly line-for-line, with "||" printed as "||"
- ;"W" in DIWF means that formatted text will be written out to
- ;     the current device as it is assembled.
- ;"N" means NOWRAP-- text is assembled line-for-line
- ;"R" means text will be assembled Right-justified
- ;"D" means text will be double-spaced
- ;"L" means internal line numbers appear at the left margin
- ;"C" followed by a number will cause formatting of text in a column
- ;     width specified by the number.
- ;"I" followed by a number will cause text to be indented that number
- ;     of columns.
- ;"?" means that, if user's terminal is available, "|"-windows that cannot
- ;     be evaluated will be asked from the user's terminal.
- ;"B" followed by number causes new page when output gets within that
- ;   number of lines from the bottom of the page (as defined by IOSL).
- ;   
- ;DIWTC is a Boolean -- Are we printing out in LINE MODE?
+DIWP ;SFISC/GFT-ASSEMBLE WP LINE ;12:15 PM  5 Jun 2000
+ ;;22.0;VA FileMan;**46**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  S:'$L(X) X=" "
  S DIWTC=X[($C(124)_"TAB") S:'$D(DN) DN=1
@@ -29,6 +9,5 @@
  D NEW:DIWTC
 Z S Z=X?.P!DIWTC I X?1" ".E!Z S DIWTC=1 D NEW:DIWI]"" S DIWTC=Z
-DIW ;from RCR+5^DIWW
- I DIWF["X" S DIWTC=1,X=DIWX,DIWX="" D C G D ;**DI*22*152**  Leave line unaltered
+DIW ;
  S X=$P(DIWX,DIW,1) D C:X]"" S X=$P(DIWX,DIW,1),DIWX=$P(DIWX,DIW,2,999) G D:DIWX="" I $D(DIWP),X'?.E1" " D ST
  S X=$P(DIWX,DIW,1) I $P(X,"TAB",1)="" D TAB G N
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWW.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWW.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWW.m	(revision 636)
@@ -1,4 +1,4 @@
-DIWW ;SFISC/GFT-OUTPUT WP LINE ;5NOV2007
- ;;22.0;VA FileMan;**64,144,152**;Mar 30, 1999;Build 10
+DIWW ;SFISC/GFT-OUTPUT WP LINE ;02:59 PM  18 Apr 2002
+ ;;22.0;VA FileMan;**64,144**;Mar 30, 1999;Build 5
  ;Per VHA Directive 2004-038, this routine should not be modified.
  F I=0:1 G:$D(DN) QQ:'DN Q:$D(^UTILITY($J,"W"))<9  D T G:$D(DN) QQ:'DN D 0
@@ -48,5 +48,5 @@
  ;
 DIQ ;
- S DIWF=$E("N",C["L")_"W"_$E("|X",C["X"!(C["x")+1),DIWL=2,DIWR=IOM,X=O_":   " K ^UTILITY($J,"W")
+ S DIWF=$E("N",C["L")_"W|",DIWL=2,DIWR=IOM,X=O_":   " K ^UTILITY($J,"W")
  S W=0 F  D  S W=$O(@(D(DL-1)_"W)")) Q:W'>0!(S=0)  S X=^(W,0)
  .D ^DIWP
Index: FOIAVistA/tag/r/VENDOR_AMA-VACPT/VACPT.m
===================================================================
--- FOIAVistA/trunk/r/VENDOR_AMA-VACPT/VACPT.m	(revision 631)
+++ FOIAVistA/tag/r/VENDOR_AMA-VACPT/VACPT.m	(revision 636)
@@ -1,4 +1,4 @@
 VACPT ;ALB/GRR - DISPLAY CPT COPYRIGHT INF ; 12 APR 1989@1400
- ;;5.3;Registration;**123,124,138**;Aug 13, 1993
+ ;;5.3;Registration;**123,124,138**;Aug 13, 1993;Build 1
  ;
  ;  This routine now calls the CPT api for displaying the
Index: FOIAVistA/tag/r/VISTALINK-XOBV/XOBVSKT.m
===================================================================
--- FOIAVistA/trunk/r/VISTALINK-XOBV/XOBVSKT.m	(revision 631)
+++ FOIAVistA/tag/r/VISTALINK-XOBV/XOBVSKT.m	(revision 636)
@@ -1,4 +1,4 @@
-XOBVSKT ;; mjk/alb - VistaLink Socket Methods ; 07/27/2002  13:00
- ;;1.5;VistALink;;Sep 09, 2005
+XOBVSKT ;; mjk/alb - VistaLink Socket Methods ;9/13/07  17:11
+ ;;1.5;VistALink;;Sep 09, 2005;Build 2
  ;;Foundations Toolbox Release v1.5 [Build: 1.5.0.026]
  ;
@@ -76,5 +76,5 @@
 RMORE(LEN,XOBUF) ;
  NEW X
- READ X#LEN:1 SET XOBUF=XOBUF_X
+ READ X#LEN:1 SET XOBUF=XOBUF_X I $DEVICE S $P(XOBUF," ",LEN)=""
  QUIT
  ;
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC ; GENERATED FROM 'A1CK VARO/DHCP' INPUT TEMPLATE(#1505), FILE 2;04/10/06
+A1CKC ; GENERATED FROM 'A1CK VARO/DHCP' INPUT TEMPLATE(#1505), FILE 2;04/21/06
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -200,5 +200,5 @@
 C7S S X="" G:DG(DQ)=X C7F1 K DB
  D ^A1CKC2
-C7F1 N X,X1,X2 S DIXR=643 D C7X1(U) K X2 M X2=X D C7X1("O") K X1 M X1=X
+C7F1 N X,X1,X2 S DIXR=664 D C7X1(U) K X2 M X2=X D C7X1("O") K X1 M X1=X
  I $G(X(1))]"" D
  . K ^DPT("APTYPE",X,DA)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC1.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC1.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC1.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC1 ; ;04/10/06
+A1CKC1 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  X "S DFN=DA D EN^DGMTR K DGREQF"
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC10.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC10.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC10.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC10 ; ;04/10/06
+A1CKC10 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  I ($T(AVAFC^VAFCDD01)'="") S VAFCF="391;" D AVAFC^VAFCDD01(DA)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC11.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC11.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC11.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC11 ; ;04/10/06
+A1CKC11 ; ;04/21/06
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC12.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC12.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC12.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC12 ; ;04/10/06
+A1CKC12 ; ;04/21/06
  D DE G BEGIN
 DE S DIE="^DPT(D0,.372,",DIC=DIE,DP=2.04,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^DPT(D0,.372,DA,""))=""
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC13.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC13.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC13.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC13 ; ;04/10/06
+A1CKC13 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  X ^DD(2,.36205,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DPT(D0,.362)):^(.362),1:"") S X=$P(Y(1),U,1),X=X S DIU=X K Y S X="" X ^DD(2,.36205,1,1,1.4)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC14.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC14.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC14.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC14 ; ;04/10/06
+A1CKC14 ; ;04/21/06
  S X=DE(15),DIC=DIE
  X ^DD(2,.36215,1,1,2.3) I X S X=DIV S Y(1)=$S($D(^DPT(D0,.362)):^(.362),1:"") S X=$P(Y(1),U,2),X=X S DIU=X K Y S X="" X ^DD(2,.36215,1,1,2.4)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC15.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC15.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC15.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC15 ; ;04/10/06
+A1CKC15 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  X ^DD(2,.36215,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DPT(D0,.362)):^(.362),1:"") S X=$P(Y(1),U,2),X=X S DIU=X K Y S X="" X ^DD(2,.36215,1,1,1.4)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC2.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC2.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC2.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC2 ; ;04/10/06
+A1CKC2 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  I ($T(AVAFC^VAFCDD01)'="") S VAFCF="391;" D AVAFC^VAFCDD01(DA)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC3.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC3.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC3.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC3 ; ;04/10/06
+A1CKC3 ; ;04/21/06
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -214,5 +214,5 @@
 C7S S X="" G:DG(DQ)=X C7F1 K DB
  D ^A1CKC10
-C7F1 N X,X1,X2 S DIXR=643 D C7X1(U) K X2 M X2=X D C7X1("O") K X1 M X1=X
+C7F1 N X,X1,X2 S DIXR=664 D C7X1(U) K X2 M X2=X D C7X1("O") K X1 M X1=X
  I $G(X(1))]"" D
  . K ^DPT("APTYPE",X,DA)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC4.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC4.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC4.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC4 ; ;04/10/06
+A1CKC4 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  X ^DD(2,.36205,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DPT(D0,.362)):^(.362),1:"") S X=$P(Y(1),U,1),X=X S DIU=X K Y S X="" X ^DD(2,.36205,1,1,1.4)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC5.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC5.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC5.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC5 ; ;04/10/06
+A1CKC5 ; ;04/21/06
  S X=DE(5),DIC=DIE
  X ^DD(2,.36215,1,1,2.3) I X S X=DIV S Y(1)=$S($D(^DPT(D0,.362)):^(.362),1:"") S X=$P(Y(1),U,2),X=X S DIU=X K Y S X="" X ^DD(2,.36215,1,1,2.4)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC6.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC6.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC6.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC6 ; ;04/10/06
+A1CKC6 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  X ^DD(2,.36215,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DPT(D0,.362)):^(.362),1:"") S X=$P(Y(1),U,2),X=X S DIU=X K Y S X="" X ^DD(2,.36215,1,1,1.4)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC7.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC7.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC7.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC7 ; ;04/10/06
+A1CKC7 ; ;04/21/06
  S X=DE(6),DIC=DIE
  ;
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC8.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC8.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC8.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC8 ; ;04/10/06
+A1CKC8 ; ;04/21/06
  S X=DG(DQ),DIC=DIE
  X "S DFN=DA D EN^DGMTR K DGREQF"
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC9.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC9.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/A1CKC9.m	(revision 636)
@@ -1,3 +1,3 @@
-A1CKC9 ; ;04/10/06
+A1CKC9 ; ;04/21/06
  S X=DE(7),DIC=DIE
  I ($T(AVAFC^VAFCDD01)'="") S VAFCF="391;" D AVAFC^VAFCDD01(DA)
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGADTP2.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGADTP2.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGADTP2.m	(revision 636)
@@ -1,4 +1,4 @@
 RGADTP2 ;BIR/DLR-ADT PROCESSOR TO RETRIGGER A08 or A04 MESSAGES WITH AL/AL (COMMIT/APPLICATION) ACKNOWLEDGEMENTS - CONTINUED ;10/30/02  10:04
- ;;1.0;CLINICAL INFO RESOURCE NETWORK;**27,20,45,44,47,48,49**;30 Apr 99;Build 1
+ ;;1.0;CLINICAL INFO RESOURCE NETWORK;**27,20,45,44,47,48**;30 Apr 99;Build 3
 DBIA ;
  ;Reference to $$ADD^VAFCEHU1 supported by IA #2753
@@ -53,5 +53,5 @@
  ..S ARRAY(.2403)=$$FREE^RGRSPARS($G(ARRAY("MMN"))),ARRAY(991.01)=$P($G(ARRAY("ICN")),"V")
  ..N ARAY M ARAY(2)=ARRAY
- ..S VAFCA08=1  ;S BOGUS=$$ADD^VAFCEHU1(VAFCA,"ARAY") comment out by RG*1*49
+ ..S VAFCA08=1 S BOGUS=$$ADD^VAFCEHU1(VAFCA,"ARAY")
  .;if sending site is the CMOR OR MPI - synchronize data **45 ADDED MPI AND SSNV TO UPDATED FIELDS
  .I (OTHSITE)=(CMOR)!(OTHSITE="200M") D
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGPVMPI.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGPVMPI.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGPVMPI.m	(revision 636)
@@ -1,4 +1,4 @@
 RGPVMPI ;BIR/PTD-REMOTE PRIMARY VIEW DISPLAY FROM MPI ;5/17/07
- ;;1.0;CLINICAL INFO RESOURCE NETWORK;**48,53**;30 Apr 99;Build 2
+ ;;1.0;CLINICAL INFO RESOURCE NETWORK;**48**;30 Apr 99;Build 3
  ;
  ;Reference to EN1^XWB2HL7 supported by IA #3144
@@ -33,15 +33,15 @@
  .D FULL^VALM1
 NOQ ;No previous query exists for this ICN
- I '$D(^XTMP("RGPVMPI"_RGICN)) D RPC G DISP
+ I '$D(^XTMP("RGPVMPI",RGICN)) D RPC G DISP
  ;
 OLDQ ;Query previously sent for this ICN
- I $D(^XTMP("RGPVMPI"_RGICN)) D
- .S SNTDT=$$FMTE^XLFDT($P(^XTMP("RGPVMPI"_RGICN,"DATA"),"^",2))
+ I $D(^XTMP("RGPVMPI",RGICN)) D
+ .S SNTDT=$$FMTE^XLFDT($P(^XTMP("RGPVMPI",RGICN),"^",2))
  .W !,"A query was last sent for this ICN on "_SNTDT
  .;Has data returned for query?
- .S RETURN(0)=$P(^XTMP("RGPVMPI"_RGICN,"DATA"),"^")
+ .S RETURN(0)=$P(^XTMP("RGPVMPI",RGICN),"^")
  .D RPCCHK^XWB2HL7(.RESULT,RETURN(0))
  .;Data has NOT returned
- .I +RESULT(0)'=1 D FAIL  Q  ;**53
+ .I +RESULT(0)'=1 S QUIT=1 W !,"Query data has NOT returned from the MPI; please check back later." Q
  .I +RESULT(0)=1 D  ;Data has returned
  ..S DIR("A")="Do you wish to view the existing query data now? ",DIR(0)="YA"
@@ -50,5 +50,5 @@
  ..I Y>0 K DIR Q  ;yes, use existing query
  ..I Y=0 D  Q  ;no, don't use existing, send new query
- ...K ^XTMP("RGPVMPI"_RGICN)
+ ...K ^XTMP("RGPVMPI",RGICN)
  ...D RPC
  ...K DIR
@@ -70,10 +70,13 @@
  W !,"This will take some time; please be patient."
  D EN1^XWB2HL7(.RETURN,"200M","RG PRIMARY VIEW FROM MPI",1,RGICN) I RETURN(0)'="" D  Q
- .S ^XTMP("RGPVMPI"_RGICN,0)=$$FMADD^XLFDT(DT,2)_"^"_DT_"^"_"PRIMARY VIEW MPI PDAT"
- .S ^XTMP("RGPVMPI"_RGICN,"DATA")=RETURN(0)_"^"_$$NOW^XLFDT
+ .S ^XTMP("RGPVMPI",0)=$$FMADD^XLFDT(DT,2)_"^"_DT_"^"_"PRIMARY VIEW MPI PDAT"
+ .S ^XTMP("RGPVMPI",RGICN)=RETURN(0)_"^"_$$NOW^XLFDT
  .;Has data returned for this query?
  .S CNT=0 F  S CNT=CNT+1 D RPCCHK^XWB2HL7(.RESULT,RETURN(0)) Q:RESULT(0)  H 2 I CNT>15 Q  ;result(0)=status of handle
  .I +RESULT(0)=1 W !,"Query data has returned from the MPI and is available for review."
- .I +RESULT(0)'=1 D FAIL  ;**53
+ .I +RESULT(0)'=1 D  ;quit, info not back after 30 seconds
+ ..W !,"Query data has NOT returned from the MPI; please check back later."
+ ..S QUIT=1
+ ..I SAPV=0 D PAUSE^VALM1
  W !!,"Problem with Query: ",RETURN(0)_"^"_$G(RETURN(1))
  S QUIT=1
@@ -81,10 +84,2 @@
  Q
  ;
-FAIL ;Status of RPC call - unsuccessful after 30 seconds ;**53
- W !,"Your query request has NOT returned data from the MPI after trying for"
- W !,"30 seconds. This could be due to network issues. Please try again later."
- K ^XTMP("RGPVMPI"_RGICN)
- S QUIT=1
- I SAPV=0 D PAUSE^VALM1
- Q
- ;
Index: FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGPVREJ.m
===================================================================
--- FOIAVistA/trunk/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGPVREJ.m	(revision 631)
+++ FOIAVistA/tag/r/ZZREGIONAL-A1C-A5C-CRHD-RGED-RGUT-RGWB-RG/RGPVREJ.m	(revision 636)
@@ -1,4 +1,4 @@
 RGPVREJ ;BIR/PTD-REMOTE PRIMARY VIEW REJECT (PATIENT) ;10/8/06
- ;;1.0;CLINICAL INFO RESOURCE NETWORK;**44,47,53**;30 Apr 99;Build 2
+ ;;1.0;CLINICAL INFO RESOURCE NETWORK;**44,47**;30 Apr 99;Build 10
  ;
  ;Reference to ^XWB2HL7 supported by IA #3144
@@ -24,13 +24,13 @@
  S RGEDT=$$DT^XLFDT ;End date for report internal format
 NOQ ;No previous query exists for this ICN/exception date
- I '$D(^XTMP("RGPVREJ"_RGICN,RGBDT)) D RPC G DISP
+ I '$D(^XTMP("RGPVREJ",RGICN,RGBDT)) D RPC G DISP
  ;
 OLDQ ;Query already sent for this ICN/ exception date
- I $D(^XTMP("RGPVREJ"_RGICN,RGBDT)) D
- .S SNTDT=$$FMTE^XLFDT($P(^XTMP("RGPVREJ"_RGICN,RGBDT),"^",2))
+ I $D(^XTMP("RGPVREJ",RGICN,RGBDT)) D
+ .S SNTDT=$$FMTE^XLFDT($P(^XTMP("RGPVREJ",RGICN,RGBDT),"^",2))
  .W !?3,"A query was last sent for this ICN/Exception Date on "_SNTDT
  .S X=$P(SNTDT,"@") D ^%DT S SNTDT=Y ;convert to internal, strip time
  .;Has data returned for existing query?
- .S RETURN(0)=$P(^XTMP("RGPVREJ"_RGICN,RGBDT),"^")
+ .S RETURN(0)=$P(^XTMP("RGPVREJ",RGICN,RGBDT),"^")
  .D RPCCHK^XWB2HL7(.RESULT,RETURN(0)) I +RESULT(0)=1 D  Q  ;Data has returned
  ..I RGEDT=SNTDT D  ;query was sent 'today', want to use that one?
@@ -40,5 +40,5 @@
  ...I Y>0 K DIR Q  ;yes, use existing query
  ...I Y=0 D  Q  ;no, don't use existing, send new query
- ....K ^XTMP("RGPVREJ"_RGICN,RGBDT)
+ ....K ^XTMP("RGPVREJ",RGICN,RGBDT)
  ....D RPC
  ....K DIR
@@ -46,8 +46,8 @@
  ..I RGEDT'=SNTDT D  ;query was NOT sent 'today', data may be old, send new query
  ...W !?3,"Previous Query data may be obsolete."
- ...K ^XTMP("RGPVREJ"_RGICN,RGBDT)
+ ...K ^XTMP("RGPVREJ",RGICN,RGBDT)
  ...D RPC
  .;Data for existing query has NOT returned  **47
- .I +RESULT(0)'=1 D FAIL  ;**53
+ .I +RESULT(0)'=1 S QUIT=1 W !?3,"Query data has NOT returned from the MPI; please check back later." D PAUSE^VALM1
  ;
 DISP ;Display Primary View Reject Data
@@ -61,10 +61,13 @@
  W !?3,"This will take some time; please be patient."
  D EN1^XWB2HL7(.RETURN,"200M","RG PRIMARY VIEW REJECT",1,RGSITE,RGICN,RGBDT,RGEDT) I RETURN(0)'="" D  Q
- .S ^XTMP("RGPVREJ"_RGICN,0)=$$FMADD^XLFDT(DT,2)_"^"_DT_"^"_"PRIMARY VIEW REJECT"
- .S ^XTMP("RGPVREJ"_RGICN,RGBDT)=RETURN(0)_"^"_$$NOW^XLFDT
+ .S ^XTMP("RGPVREJ",0)=$$FMADD^XLFDT(DT,2)_"^"_DT_"^"_"PRIMARY VIEW REJECT"
+ .S ^XTMP("RGPVREJ",RGICN,RGBDT)=RETURN(0)_"^"_$$NOW^XLFDT
  .;Has data returned for this query?
  .S CNT=0 F  S CNT=CNT+1 D RPCCHK^XWB2HL7(.RESULT,RETURN(0)) Q:RESULT(0)  H 2 I CNT>15 Q  ;result(0)=status of handle
  .I +RESULT(0)=1 W !?3,"Query data has returned from the MPI and is available for review."
- .I +RESULT(0)'=1 D FAIL  ;**53
+ .I +RESULT(0)'=1 D  ;quit, info not back after 30 seconds
+ ..W !?3,"Query data has NOT returned from the MPI; please check back later."
+ ..S QUIT=1
+ ..D PAUSE^VALM1
  W !!?3,"Problem with Query: ",RETURN(0)_"^"_$G(RETURN(1))
  S QUIT=1
@@ -72,10 +75,2 @@
  Q
  ;
-FAIL ;Status of RPC call - unsuccessful after 30 seconds ;**53
- W !?3,"Your query request has NOT returned data from the MPI after trying for"
- W !?3,"30 seconds. This could be due to network issues. Please try again later."
- K ^XTMP("RGPVREJ"_RGICN,RGBDT)
- S QUIT=1
- D PAUSE^VALM1
- Q
- ;
